"""
A class used for storing colors used by the gui in a central place that is easy
to edit.
"""

from qtpy.QtGui import QColor


class ColorScheme:
    Window = QColor(125, 174, 163)
    ModuleBackground = QColor(212, 190, 152)
    ModuleOutline = QColor(0, 0, 0)
    ModuleText = QColor(0, 0, 0)
    ModuleShadow = QColor(60, 56, 54, 127)
    Signal = QColor(255, 0, 0)
    SignalHighlighted = QColor(255, 0, 0)
    Port = QColor(0, 0, 0)
    PortLabel = QColor(0, 0, 0)
    PortHighlighted = QColor(0, 0, 0)
